reserve_voices(3)

NAME
reserve_voices

SYNOPSIS
#include <allegro.h>

void reserve_voices(int digi_voices, int midi_voices);

DESCRIPTION
Call this function to specify the number of voices that are to be used by the digital and MIDI sound drivers respectively. This must be done _before_ calling install_sound(). If you reserve too many voices, subsequent calls to install_sound() will fail. How many voices are available depends on the driver, and in some cases you will actually get more than you reserve (eg. the FM synth drivers will always provide 9 voices on an OPL2 and 18 on an OPL3, and the SB digital driver will round the number of voices up to the nearest power of two). Pass negative values to restore the default settings. You should be aware that the sound quality is usually inversely related to how many voices you use, so don't reserve any more than you really need.

SEE ALSO
set_volume_per_voice(3), install_sound(3), detect_digi_driver(3), detect_midi_driver(3)